Bug 446402 - (CVE-2008-2302) CVE-2008-2302 Django: administration application XSS
CVE-2008-2302 Django: administration application XSS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=oss-security,reported=20080514...
: Security
Depends On: 447257 447258 447259 447260
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 10:05 EDT by Tomas Hoger
Modified: 2016-03-04 07:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 06:54:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-05-14 10:05:55 EDT
Following advisory was published by Django security team:

  http://www.djangoproject.com/weblog/2008/may/14/security/

Description:
The Django administration application will, when accessed by a user who is not
sufficiently authenticated, display a login form and ask the user to provide the
necessary credentials before displaying the requested page. This form will be
submitted to the URL the user attempted to access, by supplying the current
request path as the value of the form's "action" attribute.

The value of the request path was not being escaped, creating an opportunity for
a cross-site scripting (XSS) attack by leading a user to a URL which contained
URL-encoded HTML and/or JavaScript in the request path.

Affected versions:
trunk, 0.96, 0.95, 0.91

Upstream patches:
0.96: http://code.djangoproject.com/changeset/7527
trunk: http://code.djangoproject.com/changeset/7521
(see upstream advisory for 0.95 and 0.91 patches)

Fixed upstream versions:
0.96.2, 0.95.3, 0.91.2

Affected versions shipped in F7, F8, F9, rawhide and EPEL5.
Comment 2 Fedora Update System 2008-05-21 06:57:41 EDT
Django-0.96.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-05-21 07:04:01 EDT
Django-0.96.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-05-21 07:06:21 EDT
Django-0.96.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.